1. Embedded Journey (Marketplace API)
marketplace-doc
  • Data Ingestion
  • Errors
  • Introduction
  • Loan API & Deduction Lifecycle
  • Getting Started
  • OAuth
  • Webhooks
  • Embedded Journey
  • OpenSylo Marketplace Integration API
    • OAuth 2.0
      • Start OAuth authorization
      • Exchange authorization code or refresh token
      • Revoke a token
      • Discover OAuth capabilities
    • Data Ingestion
      • Submit single merchant data
      • Submit bulk merchant data
      • Poll batch processing status
      • Get merchant credit score
      • Data ingestion health check
    • Sales & Events
      • Submit a sales event
      • Submit a repayment event
      • Submit an account flag
    • Loan API
      • Get active loans for a merchant
      • Get loan status
      • Validate deduction amounts
      • Bulk loan status
    • Inbound Webhooks
      • Repayment events
      • Settlement events
    • Outbound Webhooks
      • loan.approved
      • loan.disbursed
      • loan.repayment_updated
      • loan.nearly_complete
      • loan.completed
      • loan.defaulted
      • merchant.created
      • kyc.submitted
      • kyc.approved
      • kyc.rejected
      • funding_request.created
      • funding_request.fulfilled
      • funding_request.rejected
    • Embedded Journey (Marketplace API)
      • Create (or fetch) a merchant
        POST
      • Get merchant status (KYC, credit score, funding requests)
        GET
      • Update business KYC information
        PUT
      • Add directors (bulk)
        POST
      • Attach a KYC document
        POST
      • Submit KYC for review
        POST
      • Submit sales data for credit scoring
        POST
      • Create a funding request
        POST
      • Mint an embed token for the hosted journey
        POST
    • Schemas
      • TokenRequest
      • TokenResponse
      • OAuthError
      • ClientMetadataResponse
      • MerchantIdentity
      • SalesPerformance
      • RevenueConsistency
      • FulfillmentMetrics
      • PayoutCashFlow
      • PlatformDependency
      • HistoricalCredit
      • BehavioralRisk
      • MonthlyHistoryEntry
      • MerchantDataRequest
      • CreditScore
      • LoanEligibilityResult
      • MerchantDataResponse
      • BulkMerchantDataRequest
      • AsyncBulkProcessingResponse
      • BatchStatusResponse
      • SalesEventRequest
      • RepaymentEventRequest
      • AccountFlagRequest
      • MerchantInfo
      • LenderInfo
      • RepaymentInfo
      • LoanTermsInfo
      • ActiveLoan
      • ActiveLoansSummary
      • ActiveLoansResponse
      • LoanStatusRepayment
      • LoanStatusResponse
      • ValidateDeductionsRequest
      • DeductionItem
      • DeductionSummary
      • ValidateDeductionsResponse
      • BulkLoanStatusRequest
      • BulkLoanStatusItem
      • BulkStatusSummary
      • BulkLoanStatusResponse
      • WebhookMarketplace
      • WebhookMerchant
      • WebhookLoan
      • DeductionDetails
      • SourceTransaction
      • LoanBalance
      • RepaymentDeductedWebhook
      • FailureDetails
      • RepaymentFailedWebhook
      • ReversalDetails
      • RepaymentReversedWebhook
      • SettlementDetails
      • SettlementSummaryByStatus
      • SettlementSummary
      • SettlementLoanIncluded
      • BankTransferDetails
      • SettlementCreatedWebhook
      • SettlementTransferredWebhook
      • TransferDetails
      • WebhookAckResponse
      • OutboundLoan
      • OutboundMerchant
      • OutboundLender
      • LoanTerms
      • RepaymentTerms
      • ScheduleInstallment
      • LoanApprovedPayload
      • DisbursementDetails
      • DisbursedRepayment
      • LoanDisbursedPayload
      • ChangeDetail
      • LoanRepaymentUpdatedPayload
      • RepaymentStatus
      • NearlyCompleteRecommendation
      • LoanNearlyCompletePayload
      • CompletionSummary
      • LoanCompletedPayload
      • DefaultDetails
      • CollectionInstructions
      • LoanDefaultedPayload
      • ApiError
      • RateLimitError
      • EmbedCreateMerchantRequest
      • EmbedCreateMerchantResponse
      • EmbedBusinessKyc
      • EmbedDirectorInfo
      • EmbedBulkDirectors
      • EmbedDirectorListItem
      • EmbedDocumentUpload
      • EmbedSalesDataAccepted
      • EmbedCreateFundingRequest
      • EmbedFundingRequestIntent
      • EmbedMerchantStatusResponse
      • EmbedTokenResponse
      • MarketplaceMerchantRef
      • MerchantCreatedPayload
      • KycStatusPayload
      • FundingRequestEventPayload
  • OpenSylo Marketplace API
    • OAuth 2.0
      • Start OAuth authorization
      • Exchange code or refresh token
      • Revoke a token
      • OAuth discovery / client metadata
    • Data Ingestion
      • Submit single merchant data
      • Submit bulk merchant data
      • Get merchant credit score
      • Integration health check
    • Loan API
      • Get active loans for a merchant
      • Get loan status
      • Validate deduction amounts
      • Bulk loan status check
    • Inbound Webhooks
      • Send repayment webhook
      • Send settlement webhook
    • Schemas
      • TokenRequest
      • TokenResponse
      • RevokeRequest
      • ClientMetadataResponse
      • MerchantIdentity
      • SalesPerformance
      • RevenueConsistency
      • FulfillmentMetrics
      • PayoutCashFlow
      • PlatformDependency
      • HistoricalCredit
      • BehavioralRisk
      • MerchantDataRequest
      • ScoreBreakdown
      • CreditScore
      • MerchantDataResponse
      • BulkMerchantDataRequest
      • BulkMerchantDataResponse
      • CreditScoreResponse
      • HealthResponse
      • ActiveLoansResponse
      • LoanStatusResponse
      • ValidateDeductionsRequest
      • ValidateDeductionsResponse
      • BulkLoanStatusRequest
      • BulkLoanStatusResponse
      • RepaymentWebhookRequest
      • SettlementWebhookRequest
      • WebhookAckResponse
      • OAuthError
      • ApiError
  1. Embedded Journey (Marketplace API)

Submit KYC for review

POST
https://api.opensylo.com/api/v1/marketplace-api/merchants/{ref}/submit
Transitions the merchant's KYC to SUBMITTED and queues it for review.
Emits the kyc.submitted outbound webhook, followed by kyc.approved
or kyc.rejected after review. Idempotent if already submitted.

Request

Authorization
API Key
Add parameter in header
X-OpenSylo-Secret-Key
Example:
X-OpenSylo-Secret-Key: ********************
or
Path Params

Responses

🟢200OK
KYC submitted for review.
This response does not have a body.
🟠404Record Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.opensylo.com/api/v1/marketplace-api/merchants/mkt_merchant_8421/submit' \
--header 'X-OpenSylo-Secret-Key: <api-key>'
Response Response Example
{
    "statusCode": 400,
    "message": "string",
    "error": "Bad Request"
}
Modified at 2026-06-10 14:59:36
Previous
Attach a KYC document
Next
Submit sales data for credit scoring
Built with